## org.eclipse.emf.ecore
Interface EOperation.Internal

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EOperation, ETypedElement, InternalEObject, Notifier

All Known Implementing Classes:
  EOperationImpl

Enclosing interface:
  EOperation

    public static interface EOperation.Internal

extends EOperation, InternalEObject

Internal API implemented by all operations.

Since:
  2.6

Nested Class Summary
`static interface` `EOperation.Internal.InvocationDelegate` A pluggable, dynamic implementation of operation behavior.

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EOperation
`EOperation.Internal`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`EOperation.Internal.InvocationDelegate` `getInvocationDelegate()` Obtains the delegate for this operation.
`void` `setInvocationDelegate(EOperation.Internal.InvocationDelegate invocationDelegate)` Assigns a delegate to this operation.

Methods inherited from interface org.eclipse.emf.ecore.EOperation
`getEContainingClass, getEExceptions, getEGenericExceptions, getEParameters, getETypeParameters, getOperationID, isOverrideOf`

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eGet, eGet, eInternalContainer, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment`

Method Detail

### getInvocationDelegate

    EOperation.Internal.InvocationDelegate getInvocationDelegate()

  Obtains the delegate for this operation. A default delegate is always available, so this should not return `null`.

  Returns:
    the operation delegate

### setInvocationDelegate

    void setInvocationDelegate(EOperation.Internal.InvocationDelegate invocationDelegate)

  Assigns a delegate to this operation.

  Parameters:
    `invocationDelegate` - the new operation delegate

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.